Mail archive
alpine-devel

[alpine-devel] [PATCH] Postfix file descriptors patch

From: Jens Vehlhaber <jens_at_eisfair.org>
Date: Mon, 13 Oct 2014 12:37:56 +0200

---
 main/postfix/APKBUILD | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/main/postfix/APKBUILD b/main/postfix/APKBUILD
index c9e1961..998d1a3 100644
--- a/main/postfix/APKBUILD
+++ b/main/postfix/APKBUILD
_at_@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=postfix
 pkgver=2.11.1
-pkgrel=0
+pkgrel=1
 pkgdesc="Secure and fast drop-in replacement for Sendmail (MTA)"
 url="http://www.postfix.org/"
 arch="all"
_at_@ -43,6 +43,7 @@ prepare() {
 	sed -i -e "s|#define HAS_NIS|//#define HAS_NIS|g" \
 		-e "/^#define ALIAS_DB_MAP/s|:/etc/aliases|:/etc/postfix/aliases|" \
 		src/util/sys_defs.h || return 1
+	sed -i -e "s:(__GLIBC__ < 2):(defined(__GLIBC__) \&\& (__GLIBC__ < 2)):" src/util/sys_defs.h || return 1
 	sed -i -e "s:/usr/local/:/usr/:g" conf/master.cf || return 1
 }
 
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Oct 13 2014 - 12:37:56 UTC